# CMSIS-DSP: arm_biquad_cascade_df2T_instance_f64 Struct Reference

| CMSIS-DSP Version 1.4.4 CMSIS DSP Software Library

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_biquad_cascade_df2T_instance_f64 Struct Reference

Instance structure for the floating-point transposed direct form II Biquad cascade filter.

## Data Fields

uint8_t | numStages
float64_t * | pState
float64_t * | pCoeffs

## Field Documentation

uint8_t arm_biquad_cascade_df2T_instance_f64::numStages

number of 2nd order stages in the filter. Overall order is 2*numStages.

Referenced by arm_biquad_cascade_df2T_f64(), and arm_biquad_cascade_df2T_init_f64().

float64_t* arm_biquad_cascade_df2T_instance_f64::pCoeffs

points to the array of coefficients. The array is of length 5*numStages.

Referenced by arm_biquad_cascade_df2T_f64(), and arm_biquad_cascade_df2T_init_f64().

float64_t* arm_biquad_cascade_df2T_instance_f64::pState

points to the array of state coefficients. The array is of length 2*numStages.

Referenced by arm_biquad_cascade_df2T_f64(), and arm_biquad_cascade_df2T_init_f64().